org.springframework.cloud.dataflow.rest.client

## Interface AppRegistryOperations

- All Known Implementing Classes:
    AppRegistryTemplate

      public interface AppRegistryOperations

  Interface defining operations available for application registrations.
  Author:
    Glenn Renfro, Gunnar Hillert, Eric Bottard, Patrick Peralta, Mark Fisher, Chris Schaefer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.hateoas.PagedModel<AppRegistrationResource>` | `importFromResource(String uri, boolean force)` Register all applications listed in a properties file.
    `DetailedAppRegistrationResource` | `info(String name, ApplicationType type, boolean exhaustive)` Retrieve information about an application registration.
    `DetailedAppRegistrationResource` | `info(String name, ApplicationType type, String version, boolean exhaustive)` Retrieve information about an application registration.
    `org.springframework.hateoas.PagedModel<AppRegistrationResource>` | `list()` Return a list of all application registrations.
    `org.springframework.hateoas.PagedModel<AppRegistrationResource>` | `list(ApplicationType type)` Return a list of all application registrations for the given `ApplicationType`.
    `void` | `makeDefault(String name, ApplicationType type, String version)` Set application version to default
    `AppRegistrationResource` | `register(String name, ApplicationType type, String uri, String metadataUri, boolean force)` Register an application name and type with its Maven coordinates.
    `AppRegistrationResource` | `register(String name, ApplicationType type, String version, String uri, String metadataUri, boolean force)` Register an application name, type and version with its Maven coordinates.
    `org.springframework.hateoas.PagedModel<AppRegistrationResource>` | `registerAll(Properties apps, boolean force)` Register all applications provided as key/value pairs.
    `void` | `unregister(String name, ApplicationType type)` Unregister an application name and type.
    `void` | `unregister(String name, ApplicationType type, String version)` Unregister an application by name type and version
    `void` | `unregisterAll()` Unregister all applications.

- - ### Method Detail

    - #### list

          org.springframework.hateoas.PagedModel<AppRegistrationResource> list()

      Return a list of all application registrations.
      Returns:
        list of all application registrations

    - #### list

          org.springframework.hateoas.PagedModel<AppRegistrationResource> list(ApplicationType type)

      Return a list of all application registrations for the given `ApplicationType`.
      Parameters:
        `type` - application type for which to return a list of registrations
      Returns:
        list of all application registrations for the given application type

    - #### info

          DetailedAppRegistrationResource info(String name,
                                               ApplicationType type,
                                               boolean exhaustive)

      Retrieve information about an application registration.
      Parameters:
        `name` - name of application
        `type` - application type
        `exhaustive` - return all metadata, including common Spring Boot properties
      Returns:
        detailed information about an application registration

    - #### info

          DetailedAppRegistrationResource info(String name,
                                               ApplicationType type,
                                               String version,
                                               boolean exhaustive)

      Retrieve information about an application registration.
      Parameters:
        `name` - name of application
        `type` - application type
        `version` - application version
        `exhaustive` - return all metadata, including common Spring Boot properties
      Returns:
        detailed information about an application registration

    - #### register

          AppRegistrationResource register(String name,
                                           ApplicationType type,
                                           String uri,
                                           String metadataUri,
                                           boolean force)

      Register an application name and type with its Maven coordinates.
      Parameters:
        `name` - application name
        `type` - application type
        `uri` - URI for the application artifact
        `metadataUri` - URI for the application metadata artifact
        `force` - if `true`, overwrites a pre-existing registration
      Returns:
        the new app registration

    - #### register

          AppRegistrationResource register(String name,
                                           ApplicationType type,
                                           String version,
                                           String uri,
                                           String metadataUri,
                                           boolean force)

      Register an application name, type and version with its Maven coordinates.
      Parameters:
        `name` - application name
        `type` - application type
        `version` - application version
        `uri` - URI for the application artifact
        `metadataUri` - URI for the application metadata artifact
        `force` - if `true`, overwrites a pre-existing registration
      Returns:
        the new app registration

    - #### unregister

          void unregister(String name,
                          ApplicationType type)

      Unregister an application name and type.
      Parameters:
        `name` - application name
        `type` - application type

    - #### unregister

          void unregister(String name,
                          ApplicationType type,
                          String version)

      Unregister an application by name type and version
      Parameters:
        `name` - application name
        `type` - application type
        `version` - application version

    - #### unregisterAll

          void unregisterAll()

      Unregister all applications.

    - #### makeDefault

          void makeDefault(String name,
                           ApplicationType type,
                           String version)

      Set application version to default
      Parameters:
        `name` - application name
        `type` - application type
        `version` - application version

    - #### importFromResource

          org.springframework.hateoas.PagedModel<AppRegistrationResource> importFromResource(String uri,
                                                                                             boolean force)

      Register all applications listed in a properties file.
      Parameters:
        `uri` - URI for the properties file
        `force` - if `true`, overwrites any pre-existing registrations
      Returns:
        the paged list of new app registrations

    - #### registerAll

          org.springframework.hateoas.PagedModel<AppRegistrationResource> registerAll(Properties apps,
                                                                                      boolean force)

      Register all applications provided as key/value pairs.
      Parameters:
        `apps` - the apps as key/value pairs where key is "type.name" and value is a URI
        `force` - if `true`, overwrites any pre-existing registrations
      Returns:
        the paged list of new app registrations

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.